
* ***************************************************************** *
* ***************************************************************** *
*   File-Name:      master_replication.do                           *
*   Date:           July 23, 2015                                   *
*   Author:         TG                                              *
*   Purpose:      	Master Do-file to replicate analysis in         *
*                   Sternberg et al.                                * 
*                   "Zum Einfluss der ffentlichen Meinung auf      *
*                   Entscheidungen des Bundesverfassungsgerichts:   * 
*                   Eine Analyse von abstrakten Normenkontrollen    *
*                   sowie Bund-Lnder-Streitigkeiten 1974 - 2010"   *
*                   Erscheint in PVS 4/2015                         *
*   Input File:                                                     *
*   Output File:                                                    *
* ****************************************************************  *
* ****************************************************************  *



* to replicate the analysis download the following ado's before running the file:
* clarify, esttab, eststo, 


version 13.1
set more off


* ****************************************************************************************** * 
*       Get party scores aus Lowe et al (Rile & LogRile) & Koenig et al (MCSS) and save it               
* 	    Input File:     MPDS2012b_withSEandLogitSE_Germny.dta & germany.dta                                    
*       Data Output:    partyscores.dta                                      
* ****************************************************************************************** * 

do partyscores


* ************************************************************************* * 
*       Merge partyscores to our extension of Hnnige data (PVSdata)    
* 	    Input File:     partyscores & PVSdata                                    
*       Data Output:    PVSdatascores.dta                                      
* ************************************************************************  * 

do hoennige


* ******************************************************************* * 
*       Generate distance measures Between Govt and Court based on
*       Lowe et al (Rile & LogRile) & Koenig et al (MCSS)              
* 	    Input File:     PVSdatascores.dta                                    
*       Data Output:    PVSanalyse.dta                                      
* ******************************************************************  * 

do position-logRILE
do position-mcss


* ************************************************************************** * 
*       Performs analysis for submission (incl. robustness check in Appendix)              
* 	    Input File:     PVSanalyse.dta                                    
*       Data Output:                                         
* ************************************************************************** * 

do analyse


* ************************************************************************** * 
*       Generates figure 1 & 2 (conditional effects plots)              
* 	    Input File:     PVSanalyse.dta                                    
*       Data Output:    PVSanalyse.dta                                     
* ************************************************************************** * 

do grafiken
