

* ***************************************************************** *
* ***************************************************************** *
*   File-Name:      position-logRILE.do                             *
*   Date:           July 23, 2015                                   *
*   Author:         TG                                              *
*   Purpose:      	Calculate distance measures based on Lowe et al * 
* 	Input File:     PVSdatascores.dta                               *           
*   Data Output:                                                    *
* ****************************************************************  *
* ****************************************************************  *



*Do-File Berechnung logrile- Werte
set more off

use PVSdatascores, clear

*Ministerzahl CDU

gen ministerzahl_cdu= .

replace ministerzahl_cdu = . if datum <  mdy(10, 03, 1976)

replace ministerzahl_cdu = . if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace ministerzahl_cdu = . if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace ministerzahl_cdu = 16 if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace ministerzahl_cdu = 20 if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace ministerzahl_cdu = 15 if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace ministerzahl_cdu = 15 if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace ministerzahl_cdu = . if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace ministerzahl_cdu = . if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace ministerzahl_cdu = 8 if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace ministerzahl_cdu = 11 if datum >= mdy(09, 27, 2009)


*Ministerzahl SPD

gen ministerzahl_spd= .

replace ministerzahl_spd = 12 if datum <  mdy(10, 03, 1976)

replace ministerzahl_spd = 12 if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace ministerzahl_spd = 13 if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace ministerzahl_spd = . if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace ministerzahl_spd = . if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace ministerzahl_spd = . if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace ministerzahl_spd = . if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace ministerzahl_spd = 13 if datum >= mdy(09, 27, 1998) & datum < mdy(01, 12, 2001)

replace ministerzahl_spd = 13 if datum >= mdy(01, 12, 2001) & datum < mdy(09, 22, 2002)

replace ministerzahl_spd = 11 if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace ministerzahl_spd = 9 if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace ministerzahl_spd = . if datum >= mdy(09, 27, 2009)


*Ministerzahl GRNE

gen ministerzahl_grne= .

replace ministerzahl_grne = . if datum <  mdy(10, 03, 1976)

replace ministerzahl_grne = . if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace ministerzahl_grne = . if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace ministerzahl_grne = . if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace ministerzahl_grne = . if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace ministerzahl_grne = . if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace ministerzahl_grne = . if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace ministerzahl_grne = 4 if datum >= mdy(09, 27, 1998) & datum < mdy(01, 12, 2001)

replace ministerzahl_grne = 4 if datum >= mdy(01, 12, 2001) & datum < mdy(09, 22, 2002)

replace ministerzahl_grne = 4 if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace ministerzahl_grne = . if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace ministerzahl_grne = . if datum >= mdy(09, 27, 2009)

*Ministerzahl FDP

gen ministerzahl_fdp = .

replace ministerzahl_fdp = 5 if datum <  mdy(10, 03, 1976)

replace ministerzahl_fdp = 5 if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace ministerzahl_fdp = 5 if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace ministerzahl_fdp = 4 if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace ministerzahl_fdp = 6 if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace ministerzahl_fdp = 6 if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace ministerzahl_fdp = 4 if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace ministerzahl_fdp = . if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace ministerzahl_fdp = . if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace ministerzahl_fdp = . if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace ministerzahl_fdp = 6 if datum >= mdy(09, 27, 2009)


*Sitzzahl CDU
gen sitzzahl_cdu= .

replace sitzzahl_cdu = 234 if datum <  mdy(10, 03, 1976)

replace sitzzahl_cdu = 254 if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace sitzzahl_cdu = 237 if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace sitzzahl_cdu = 255 if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace sitzzahl_cdu = 234 if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace sitzzahl_cdu = 319 if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace sitzzahl_cdu = 294 if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace sitzzahl_cdu = 245 if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace sitzzahl_cdu = 248 if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace sitzzahl_cdu = 226 if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace sitzzahl_cdu = 239 if datum >= mdy(09, 27, 2009)


*Sitzzahl SPD
gen sitzzahl_spd= .

replace sitzzahl_spd = 242 if datum <  mdy(10, 03, 1976)

replace sitzzahl_spd = 224 if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace sitzzahl_spd = 228 if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace sitzzahl_spd = 202 if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace sitzzahl_spd = 193 if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace sitzzahl_spd = 239 if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace sitzzahl_spd = 252 if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace sitzzahl_spd = 298 if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace sitzzahl_spd = 251 if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace sitzzahl_spd = 222 if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace sitzzahl_spd = 146 if datum >= mdy(09, 27, 2009)


*Sitzzahl GRNE
gen sitzzahl_grne=. 

replace sitzzahl_grne = . if datum <  mdy(10, 03, 1976)

replace sitzzahl_grne = . if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace sitzzahl_grne = . if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace sitzzahl_grne = 28 if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace sitzzahl_grne = 44 if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace sitzzahl_grne = 8 if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace sitzzahl_grne = 49 if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace sitzzahl_grne = 47 if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace sitzzahl_grne = 55 if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace sitzzahl_grne = 51 if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace sitzzahl_grne = 68 if datum >= mdy(09, 27, 2009)



*Sitzzahl FDP
gen sitzzahl_fdp= .

replace sitzzahl_fdp = 42 if datum <  mdy(10, 03, 1976)

replace sitzzahl_fdp = 40 if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace sitzzahl_fdp = 54 if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace sitzzahl_fdp = 35 if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace sitzzahl_fdp = 48 if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace sitzzahl_fdp = 79 if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace sitzzahl_fdp = 47 if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace sitzzahl_fdp = 43 if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace sitzzahl_fdp = 47 if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace sitzzahl_fdp = 61 if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace sitzzahl_fdp = 93 if datum >= mdy(09, 27, 2009)



*Regierungsposition Logrile Sitzzahl:

gen regierung_logrile_sitzzahl = .

replace regierung_logrile_sitzzahl = ((s_logrile*sitzzahl_spd)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_spd+sitzzahl_fdp) if datum <  mdy(10, 03, 1976)

replace regierung_logrile_sitzzahl = ((s_logrile*sitzzahl_spd)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_spd+sitzzahl_fdp)  if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace regierung_logrile_sitzzahl = ((s_logrile*sitzzahl_spd)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_spd+sitzzahl_fdp)  if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace regierung_logrile_sitzzahl = ((c_logrile* sitzzahl_cdu)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace regierung_logrile_sitzzahl = ((c_logrile* sitzzahl_cdu)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace regierung_logrile_sitzzahl = ((c_logrile* sitzzahl_cdu)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace regierung_logrile_sitzzahl = ((c_logrile* sitzzahl_cdu)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace regierung_logrile_sitzzahl = ((s_logrile* sitzzahl_spd)+ (g_logrile*sitzzahl_grne)) / (sitzzahl_spd+sitzzahl_grne) if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace regierung_logrile_sitzzahl = ((s_logrile* sitzzahl_spd)+ (g_logrile*sitzzahl_grne)) / (sitzzahl_spd+sitzzahl_grne) if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace regierung_logrile_sitzzahl = ((c_logrile* sitzzahl_cdu)+ (s_logrile*sitzzahl_spd)) / (sitzzahl_cdu+sitzzahl_spd) if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace regierung_logrile_sitzzahl = ((c_logrile* sitzzahl_cdu)+ (f_logrile*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(09, 27, 2009)

tab regierung_logrile_sitzzahl, m


*Regierungsposition Logrile Kabinettsposten

gen regierung_logrile_kabinett = .

replace regierung_logrile_kabinett = ((s_logrile*ministerzahl_spd)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_spd+ministerzahl_fdp) if datum <  mdy(10, 03, 1976)

replace regierung_logrile_kabinett = ((s_logrile*ministerzahl_spd)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_spd+ministerzahl_fdp)  if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace regierung_logrile_kabinett = ((s_logrile*ministerzahl_spd)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_spd+ministerzahl_fdp)  if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace regierung_logrile_kabinett = ((c_logrile* ministerzahl_cdu)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace regierung_logrile_kabinett = ((c_logrile* ministerzahl_cdu)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace regierung_logrile_kabinett = ((c_logrile* ministerzahl_cdu)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace regierung_logrile_kabinett = ((c_logrile* ministerzahl_cdu)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace regierung_logrile_kabinett = ((s_logrile* ministerzahl_spd)+ (g_logrile*ministerzahl_grne)) / (ministerzahl_spd+ministerzahl_grne) if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace regierung_logrile_kabinett = ((s_logrile* ministerzahl_spd)+ (g_logrile*ministerzahl_grne)) / (ministerzahl_spd+ministerzahl_grne) if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace regierung_logrile_kabinett = ((c_logrile* ministerzahl_cdu)+ (s_logrile*ministerzahl_spd)) / (ministerzahl_cdu+ministerzahl_spd) if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace regierung_logrile_kabinett = ((c_logrile* ministerzahl_cdu)+ (f_logrile*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(09, 27, 2009)

tab regierung_logrile_kabinett, m



*Ideologische Position Gericht
                                    
gen gericht_logrile= .

replace gericht_logrile= ((3* s_logrile) + (4*c_logrile) + (1* f_logrile))/8 if year== 1974 & month== 7 & day== 25
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1975 & month== 2 & day== 25
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1975 & month== 3 & day== 4
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1976 & month== 2 & day== 10
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1977 & month== 2 & day== 8
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1977 & month== 12 & day== 7
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1978 & month== 4 & day== 13
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1979 & month== 7 & day== 24
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1980 & month== 12 & day== 10
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1982 & month== 10 & day== 19
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1985 & month== 4 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1986 & month== 6 & day== 24
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1986 & month== 11 & day== 4
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1987 & month== 6 & day== 16
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1988 & month== 1 & day== 12
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1989 & month== 1 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1989 & month== 4 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1989 & month== 4 & day== 18
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1989 & month== 10 & day== 12
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1990 & month== 5 & day== 22
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1990 & month== 10 & day== 31
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1990 & month== 11 & day== 13
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1991 & month== 2 & day== 5
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1991 & month== 4 & day== 10
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1991 & month== 12 & day== 17
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1992 & month== 5 & day== 27
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1993 & month== 5 & day== 28
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1995 & month== 1 & day== 10
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1995 & month== 3 & day== 22
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1995 & month== 5 & day== 24
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1995 & month== 7 & day== 4
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1996 & month== 4 & day== 29
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1996 & month== 7 & day== 17
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1997 & month== 3 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1997 & month== 4 & day== 10
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1997 & month== 6 & day== 24
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1998 & month== 1 & day== 28
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1998 & month== 2 & day== 17
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 1 & day== 20
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 3 & day== 2
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 7 & day== 6
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 11 & day== 11
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1999 & month== 11 & day== 23
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2000 & month== 7 & day== 3
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2000 & month== 7 & day== 12
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2001 & month== 2 & day== 8
replace gericht_logrile= ((3* s_logrile) + (3*c_logrile) + (1*f_logrile) + (1*g_logrile))/8 if year== 2001 & month== 5 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2001 & month== 12 & day== 5
replace gericht_logrile= ((3* s_logrile) + (3*c_logrile) + (1*f_logrile) + (1*g_logrile))/8 if year== 2002 & month== 2 & day== 19
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 3 & day== 28
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 6 & day== 27
replace gericht_logrile= ((3* s_logrile) + (3*c_logrile) + (1*f_logrile) + (1*g_logrile))/8 if year== 2002 & month== 7 & day== 17
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 10 & day== 24
replace gericht_logrile= ((3* s_logrile) + (3*c_logrile) + (1*f_logrile) + (1*g_logrile))/8 if year== 2002 & month== 10 & day== 31
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 11 & day== 7
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 12 & day== 18
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2003 & month== 7 & day== 15
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2003 & month== 10 & day== 7
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2004 & month== 1 & day== 19
replace gericht_logrile= ((3* s_logrile) + (3*c_logrile) + (1*f_logrile) + (1*g_logrile))/8 if year== 2004 & month== 3 & day== 3
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2004 & month== 7 & day== 27
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2005 & month== 1 & day== 26
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2005 & month== 7 & day== 18
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2005 & month== 9 & day== 13
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2006 & month== 5 & day== 23
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2006 & month== 10 & day== 17
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2006 & month== 10 & day== 19
replace gericht_logrile= ((3* s_logrile) + (4*c_logrile) + (1*g_logrile))/8 if year== 2007 & month== 3 & day== 13
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2007 & month== 7 & day== 9
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2007 & month== 9 & day== 19
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2008 & month== 1 & day== 15
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2008 & month== 3 & day== 12
replace gericht_logrile= ((3* s_logrile) + (4*c_logrile) + (1*g_logrile))/8 if year== 2008 & month== 10 & day== 14
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2010 & month== 9 & day== 7
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2010 & month== 10 & day== 12
replace gericht_logrile= ((3* s_logrile) + (3*c_logrile) + (1*f_logrile) + (1*g_logrile))/8 if year== 2010 & month== 11 & day== 24
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1975 & month== 2 & day== 25
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1975 & month== 2 & day== 25
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1975 & month== 2 & day== 25
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1975 & month== 2 & day== 25
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1975 & month== 2 & day== 25
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1977 & month== 12 & day== 7
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1977 & month== 12 & day== 7
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1977 & month== 12 & day== 7
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1978 & month== 4 & day== 13
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1978 & month== 4 & day== 13
replace gericht_logrile= ((2* s_logrile) + (5*c_logrile) + (1* f_logrile))/8 if year== 1978 & month== 4 & day== 13
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1985 & month== 4 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1985 & month== 4 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1985 & month== 4 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1986 & month== 6 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1986 & month== 6 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1986 & month== 6 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1986 & month== 6 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1986 & month== 6 & day== 24
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1990 & month== 10 & day== 31
replace gericht_logrile= ((3* s_logrile) + (5*c_logrile))/8 if year== 1990 & month== 10 & day== 31
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1991 & month== 2 & day== 5
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1992 & month== 5 & day== 27
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1992 & month== 5 & day== 27
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1992 & month== 5 & day== 27
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1993 & month== 5 & day== 28
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1993 & month== 5 & day== 28
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1995 & month== 7 & day== 4
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1995 & month== 7 & day== 4
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1995 & month== 7 & day== 4
replace gericht_logrile= ((4* s_logrile) + (3*c_logrile) + (1*f_logrile))/8 if year== 1995 & month== 7 & day== 4
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1997 & month== 3 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1997 & month== 3 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 7 & day== 6
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 11 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 11 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 1999 & month== 11 & day== 11
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 3 & day== 28
replace gericht_logrile= ((3* s_logrile) + (3*c_logrile) + (1*f_logrile) + (1*g_logrile))/8 if year== 2002 & month== 7 & day== 17
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 12 & day== 18
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 12 & day== 18
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 12 & day== 18
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2002 & month== 12 & day== 18
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2003 & month== 10 & day== 7
replace gericht_logrile= ((4* s_logrile) + (4*c_logrile))/8 if year== 2010 & month== 9 & day== 7

tab gericht_logrile, m



*Betrag ideologische Distanz Gericht/ Regierung Kabinettsposten

gen adis_loggerreg_kabinett= abs(regierung_logrile_kabinett - gericht_logrile)
label var adis_loggerreg_kabinett "Distanz (Gericht-Regierung)"
tab adis_loggerreg_kabinett, m


/* Prepare and save data for analysis */
compress
*save PVSanalyse, replace  /* Prepare data for analysis */
