
* ***************************************************************** *
* ***************************************************************** *
*   File-Name:      position-mcss.do                                *
*   Date:           July 23, 2015                                   *
*   Author:         TG                                              *
*   Purpose:      	Calculate distance measures based on            *
*                   Koenig et al (MCSS)                             * 
* 	Input File:                                                     *           
*   Data Output:    PVSanalyse.dta                                  *
* ****************************************************************  *
* ****************************************************************  *

*use PVSdatascores, clear

*Regierungsposition Mcss Sitzzahl

gen regierung_mcss_sitzzahl = .

replace regierung_mcss_sitzzahl = ((s_mcss*sitzzahl_spd)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_spd+sitzzahl_fdp) if datum <  mdy(10, 03, 1976)

replace regierung_mcss_sitzzahl = ((s_mcss*sitzzahl_spd)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_spd+sitzzahl_fdp)  if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace regierung_mcss_sitzzahl = ((s_mcss*sitzzahl_spd)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_spd+sitzzahl_fdp)  if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace regierung_mcss_sitzzahl = ((c_mcss* sitzzahl_cdu)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace regierung_mcss_sitzzahl = ((c_mcss* sitzzahl_cdu)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace regierung_mcss_sitzzahl = ((c_mcss* sitzzahl_cdu)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace regierung_mcss_sitzzahl = ((c_mcss* sitzzahl_cdu)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace regierung_mcss_sitzzahl = ((s_mcss* sitzzahl_spd)+ (g_mcss*sitzzahl_grne)) / (sitzzahl_spd+sitzzahl_grne) if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace regierung_mcss_sitzzahl = ((s_mcss* sitzzahl_spd)+ (g_mcss*sitzzahl_grne)) / (sitzzahl_spd+sitzzahl_grne) if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace regierung_mcss_sitzzahl = ((c_mcss* sitzzahl_cdu)+ (s_mcss*sitzzahl_spd)) / (sitzzahl_cdu+sitzzahl_spd) if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace regierung_mcss_sitzzahl = ((c_mcss* sitzzahl_cdu)+ (f_mcss*sitzzahl_fdp)) / (sitzzahl_cdu+sitzzahl_fdp) if datum >= mdy(09, 27, 2009)

tab regierung_mcss_sitzzahl, m

*Regierungsposition Mcss Kabinettsposten

gen regierung_mcss_kabinett = .

replace regierung_mcss_kabinett = ((s_mcss*ministerzahl_spd)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_spd+ministerzahl_fdp) if datum <  mdy(10, 03, 1976)

replace regierung_mcss_kabinett = ((s_mcss*ministerzahl_spd)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_spd+ministerzahl_fdp)  if datum >= mdy(10, 03, 1976) & datum < mdy(10, 05, 1980)

replace regierung_mcss_kabinett = ((s_mcss*ministerzahl_spd)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_spd+ministerzahl_fdp)  if datum >= mdy(10, 05, 1980) & datum < mdy(03, 06, 1983)

replace regierung_mcss_kabinett = ((c_mcss* ministerzahl_cdu)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(03, 06, 1983) & datum < mdy(01, 25, 1987)

replace regierung_mcss_kabinett = ((c_mcss* ministerzahl_cdu)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(01, 25, 1987) & datum < mdy(12, 02, 1990)

replace regierung_mcss_kabinett = ((c_mcss* ministerzahl_cdu)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(12, 02, 1990) & datum < mdy(10, 16, 1994)

replace regierung_mcss_kabinett = ((c_mcss* ministerzahl_cdu)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(10, 16, 1994) & datum < mdy(09, 27, 1998)

replace regierung_mcss_kabinett = ((s_mcss* ministerzahl_spd)+ (g_mcss*ministerzahl_grne)) / (ministerzahl_spd+ministerzahl_grne) if datum >= mdy(09, 27, 1998) & datum < mdy(09, 22, 2002)

replace regierung_mcss_kabinett = ((s_mcss* ministerzahl_spd)+ (g_mcss*ministerzahl_grne)) / (ministerzahl_spd+ministerzahl_grne) if datum >= mdy(09, 22, 2002) & datum < mdy(09, 18, 2005)

replace regierung_mcss_kabinett = ((c_mcss* ministerzahl_cdu)+ (s_mcss*ministerzahl_spd)) / (ministerzahl_cdu+ministerzahl_spd) if datum >= mdy(09, 18, 2005) & datum < mdy(09, 27, 2009)

replace regierung_mcss_kabinett = ((c_mcss* ministerzahl_cdu)+ (f_mcss*ministerzahl_fdp)) / (ministerzahl_cdu+ministerzahl_fdp) if datum >= mdy(09, 27, 2009)

tab regierung_mcss_kabinett, m


*Ideologische Position Gericht MCSS
                                    

gen gericht_mcss= .

replace gericht_mcss= ((3* s_mcss) + (4*c_mcss) + (1* f_mcss))/8 if year== 1974 & month== 7 & day== 25
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1975 & month== 2 & day== 25
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1975 & month== 3 & day== 4
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1976 & month== 2 & day== 10
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1977 & month== 2 & day== 8
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1977 & month== 12 & day== 7
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1978 & month== 4 & day== 13
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1979 & month== 7 & day== 24
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1980 & month== 12 & day== 10
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1982 & month== 10 & day== 19
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1985 & month== 4 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1986 & month== 6 & day== 24
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1986 & month== 11 & day== 4
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1987 & month== 6 & day== 16
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1988 & month== 1 & day== 12
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1989 & month== 1 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1989 & month== 4 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1989 & month== 4 & day== 18
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1989 & month== 10 & day== 12
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1990 & month== 5 & day== 22
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1990 & month== 10 & day== 31
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1990 & month== 11 & day== 13
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1991 & month== 2 & day== 5
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1991 & month== 4 & day== 10
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1991 & month== 12 & day== 17
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1992 & month== 5 & day== 27
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1993 & month== 5 & day== 28
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1995 & month== 1 & day== 10
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1995 & month== 3 & day== 22
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1995 & month== 5 & day== 24
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1995 & month== 7 & day== 4
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1996 & month== 4 & day== 29
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1996 & month== 7 & day== 17
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1997 & month== 3 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1997 & month== 4 & day== 10
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1997 & month== 6 & day== 24
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1998 & month== 1 & day== 28
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1998 & month== 2 & day== 17
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 1 & day== 20
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 3 & day== 2
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 7 & day== 6
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 11 & day== 11
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1999 & month== 11 & day== 23
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2000 & month== 7 & day== 3
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2000 & month== 7 & day== 12
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2001 & month== 2 & day== 8
replace gericht_mcss= ((3* s_mcss) + (3*c_mcss) + (1*f_mcss) + (1*g_mcss))/8 if year== 2001 & month== 5 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2001 & month== 12 & day== 5
replace gericht_mcss= ((3* s_mcss) + (3*c_mcss) + (1*f_mcss) + (1*g_mcss))/8 if year== 2002 & month== 2 & day== 19
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 3 & day== 28
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 6 & day== 27
replace gericht_mcss= ((3* s_mcss) + (3*c_mcss) + (1*f_mcss) + (1*g_mcss))/8 if year== 2002 & month== 7 & day== 17
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 10 & day== 24
replace gericht_mcss= ((3* s_mcss) + (3*c_mcss) + (1*f_mcss) + (1*g_mcss))/8 if year== 2002 & month== 10 & day== 31
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 11 & day== 7
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 12 & day== 18
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2003 & month== 7 & day== 15
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2003 & month== 10 & day== 7
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2004 & month== 1 & day== 19
replace gericht_mcss= ((3* s_mcss) + (3*c_mcss) + (1*f_mcss) + (1*g_mcss))/8 if year== 2004 & month== 3 & day== 3
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2004 & month== 7 & day== 27
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2005 & month== 1 & day== 26
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2005 & month== 7 & day== 18
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2005 & month== 9 & day== 13
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2006 & month== 5 & day== 23
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2006 & month== 10 & day== 17
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2006 & month== 10 & day== 19
replace gericht_mcss= ((3* s_mcss) + (4*c_mcss) + (1*g_mcss))/8 if year== 2007 & month== 3 & day== 13
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2007 & month== 7 & day== 9
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2007 & month== 9 & day== 19
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2008 & month== 1 & day== 15
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2008 & month== 3 & day== 12
replace gericht_mcss= ((3* s_mcss) + (4*c_mcss) + (1*g_mcss))/8 if year== 2008 & month== 10 & day== 14
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2010 & month== 9 & day== 7
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2010 & month== 10 & day== 12
replace gericht_mcss= ((3* s_mcss) + (3*c_mcss) + (1*f_mcss) + (1*g_mcss))/8 if year== 2010 & month== 11 & day== 24
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1975 & month== 2 & day== 25
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1975 & month== 2 & day== 25
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1975 & month== 2 & day== 25
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1975 & month== 2 & day== 25
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1975 & month== 2 & day== 25
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1977 & month== 12 & day== 7
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1977 & month== 12 & day== 7
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1977 & month== 12 & day== 7
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1978 & month== 4 & day== 13
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1978 & month== 4 & day== 13
replace gericht_mcss= ((2* s_mcss) + (5*c_mcss) + (1* f_mcss))/8 if year== 1978 & month== 4 & day== 13
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1985 & month== 4 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1985 & month== 4 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1985 & month== 4 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1986 & month== 6 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1986 & month== 6 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1986 & month== 6 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1986 & month== 6 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1986 & month== 6 & day== 24
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1990 & month== 10 & day== 31
replace gericht_mcss= ((3* s_mcss) + (5*c_mcss))/8 if year== 1990 & month== 10 & day== 31
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1991 & month== 2 & day== 5
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1992 & month== 5 & day== 27
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1992 & month== 5 & day== 27
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1992 & month== 5 & day== 27
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1993 & month== 5 & day== 28
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1993 & month== 5 & day== 28
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1995 & month== 7 & day== 4
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1995 & month== 7 & day== 4
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1995 & month== 7 & day== 4
replace gericht_mcss= ((4* s_mcss) + (3*c_mcss) + (1*f_mcss))/8 if year== 1995 & month== 7 & day== 4
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1997 & month== 3 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1997 & month== 3 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 7 & day== 6
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 11 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 11 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 1999 & month== 11 & day== 11
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 3 & day== 28
replace gericht_mcss= ((3* s_mcss) + (3*c_mcss) + (1*f_mcss) + (1*g_mcss))/8 if year== 2002 & month== 7 & day== 17
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 12 & day== 18
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 12 & day== 18
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 12 & day== 18
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2002 & month== 12 & day== 18
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2003 & month== 10 & day== 7
replace gericht_mcss= ((4* s_mcss) + (4*c_mcss))/8 if year== 2010 & month== 9 & day== 7

tab gericht_mcss, m



*Betrag ideologische Distanz Gericht/ Regierung Kabinettsposten

gen adis_mcssgerreg_kabinett= abs(regierung_mcss_kabinett - gericht_mcss)
label var adis_mcssgerreg_kabinett "Distanz (Gericht-Regierung)"
tab adis_mcssgerreg_kabinett, m


/* Prepare and save data for analysis */
compress
saveold PVSanalyse, replace  /* Prepare data for analysis */
